package com.ruoyi.hywz.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.hywz.entity.AdsMatHyxtStampTaxItemD;
import com.ruoyi.hywz.mapper.AdsMatHyxtStampTaxItemDMapper;
import com.ruoyi.hywz.service.IAdsMatHyxtStampTaxItemDService;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 印花税类目表 服务实现类
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-07-15 15:29:08
 */
@Service
public class AdsMatHyxtStampTaxItemDServiceImpl extends ServiceImpl<AdsMatHyxtStampTaxItemDMapper,AdsMatHyxtStampTaxItemD> implements IAdsMatHyxtStampTaxItemDService {

    @Override
    public String getTaxAmount(String id, String amount) {
        return null;
    }

    @Override
    public List<AdsMatHyxtStampTaxItemD> getList(boolean isHaveFxs) {
        LambdaQueryWrapper<AdsMatHyxtStampTaxItemD> queryWrapper = Wrappers.lambdaQuery();
        if (!isHaveFxs) {
            queryWrapper.ne(AdsMatHyxtStampTaxItemD::getItemName, "非应税合同");
        }
        queryWrapper.orderByAsc(AdsMatHyxtStampTaxItemD::getSort);
        return this.list(queryWrapper);
    }

    @Override
    public Map<String, AdsMatHyxtStampTaxItemD> getMap() {
        Map<String, AdsMatHyxtStampTaxItemD> result = new HashMap<>();
        List<AdsMatHyxtStampTaxItemD> list = this.getList(true);
        for (AdsMatHyxtStampTaxItemD itemD : list) {
            result.put(itemD.getCode(), itemD);
        }
        return result;
    }
}
